package cn.iocoder.yudao.module.mes.service.taskmanagement;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.mes.controller.admin.taskmanagement.vo.*;
import cn.iocoder.yudao.module.mes.dal.dataobject.taskmanagement.TaskManagementDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;

/**
 * 设备类型 Service 接口
 *
 * @author 内蒙必硕
 */
public interface TaskManagementService {

    /**
     * 创建设备类型
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createTaskManagement(@Valid TaskManagementSaveReqVO createReqVO);

    /**
     * 更新设备类型
     *
     * @param updateReqVO 更新信息
     */
    void updateTaskManagement(@Valid TaskManagementSaveReqVO updateReqVO);

    /**
     * 删除设备类型
     *
     * @param id 编号
     */
    void deleteTaskManagement(List<Long> idList );

    /**
     * 获得设备类型
     *
     * @param id 编号
     * @return 设备类型
     */
    TaskManagementDO getTaskManagement(Long id);

    /**
     * 获得设备类型分页
     *
     * @param pageReqVO 分页查询
     * @return 设备类型分页
     */
    PageResult<TaskManagementDO> getTaskManagementPage(TaskManagementPageReqVO pageReqVO);

    void createTicket(Long id);

    void updateTaskManagementEnabled(TaskManagementUpdateEnabledReqVO updateEnabledReqVO);
}